import { ElementRef, EventEmitter, Renderer2 } from "@angular/core";
export declare class QMSTextTruncateDirective {
    private _el;
    private renderer;
    private _originText;
    private _maxLines;
    constructor(_el: ElementRef, renderer: Renderer2);
    ngAfterViewChecked(): void;
    set maxLines(value: any);
    showToolTip: boolean;
    showToolTipChange: EventEmitter<boolean>;
    private get el();
    private _truncate;
}
